Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Sun Java System Application Server API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ejbadapter.appconn
Class EjbApplicationConnection

    java.lang.Object
      com.stc.connector.ejbadapter.appconn.EjbApplicationConnection

All Implemented Interfaces:
  com.stc.connector.appconn.common.ApplicationConnection, com.stc.connector.framework.client.AssociateableHandle

    public class EjbApplicationConnection

extends java.lang.Object
implements com.stc.connector.appconn.common.ApplicationConnection, com.stc.connector.framework.client.AssociateableHandle

This class implements the ApplicationConnection interface for the ICAN EJB Application Connection.

Version:
  5.1
Author:
  Andy Schaefer

Constructor Summary
`EjbApplicationConnection(com.stc.connector.framework.eway.ManagedConnectionCallback aCallback)` Creates a new instance of EjbApplicationConnection.

Method Summary
`protected boolean` | `checkIfClosed()` Check whether the Connection instance was already closed (if close was previously called).
`void` | `close()` Closes the application connection handle.
`java.lang.Object` | `createApplication(java.lang.String appName)` Creates an Application from the Application Connection.
`com.stc.connector.appconn.common.OutputHandler` | `createOutputHandler()` Creates an OutputHandler for "sending" data to the EIS.
`EjbEwayConnection` | `getEwayConnection()` Get the ManagedConnection associated with this application connection.
`void` | `invalidateConnection()` This is called by the ManagedConnection to invalidate the connection handle.
`void` | `reassociateConnection(com.stc.connector.framework.eway.ManagedConnectionCallback mc)` This is called by the ManagedConnection to associate the connection handle to the ManagedConnection.
`void` | `sendAlert(java.lang.String msg, int level)` `sendAlert` Wrapper for the mbean sendAlert method just in case the mbean is not initialized properly/

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbApplicationConnection

    public EjbApplicationConnection(com.stc.connector.framework.eway.ManagedConnectionCallback aCallback)

  Creates a new instance of EjbApplicationConnection.

  Parameters:
    `mcCallback` - The ManagedConnectionCallback for getting services from ManagedConnection.

Method Detail

### close

    public void close()
               throws com.stc.connector.appconn.common.ApplicationConnectionException

  Closes the application connection handle. Once the close method is called, using the application created from the application connection must be forbidden and must result in an ApplicationConnectionException. The association between an application connection and the application is implementation specific.

  Specified by:
    `close` in interface `com.stc.connector.appconn.common.ApplicationConnection`
  Throws:
    `com.stc.connector.appconn.common.ApplicationConnectionException` - upon error.

### createApplication

    public java.lang.Object createApplication(java.lang.String appName)
                                       throws com.stc.connector.appconn.common.ApplicationException

  Creates an Application from the Application Connection. The application is an API which can be used to interact with the underlying EIS. The application API must be invalidated once the close method is called on the Application Connection. If null is passed for the application name, then the default application will be created. Otherwise, the application name will be used to create the appropriate connection.

  Specified by:
    `createApplication` in interface `com.stc.connector.appconn.common.ApplicationConnection`
  Parameters:
    `appName` - The name of the application to create. this will be the full path name of idl interface, e.g., demo.grid.MyServer
  Returns:
    A java.lang.Object representing the EIS specific application component to interact with the EIS.
  Throws:
    `com.stc.connector.appconn.common.ApplicationException` - upon error.

### createOutputHandler

    public com.stc.connector.appconn.common.OutputHandler createOutputHandler()
                                                                       throws com.stc.connector.appconn.common.ApplicationException

  Creates an OutputHandler for "sending" data to the EIS. If the eWay does not support an OutputHandler, then it should return null for its implementation of this method.

  Specified by:
    `createOutputHandler` in interface `com.stc.connector.appconn.common.ApplicationConnection`
  Returns:
    The eWay specific OutputHandler for handling "sending" data to the external system or null if the eWay does not have an OutputHandler.
  Throws:
    `com.stc.connector.appconn.common.ApplicationException` - upon error.

### invalidateConnection

    public void invalidateConnection()
                              throws javax.resource.ResourceException

  This is called by the ManagedConnection to invalidate the connection handle.

  Specified by:
    `invalidateConnection` in interface `com.stc.connector.framework.client.AssociateableHandle`
  Throws:
    `javax.resource.ResourceException` - upon error.

### reassociateConnection

    public void reassociateConnection(com.stc.connector.framework.eway.ManagedConnectionCallback mc)
                               throws javax.resource.ResourceException

  This is called by the ManagedConnection to associate the connection handle to the ManagedConnection. The implementation should disassociate the associated ManagedConnection and associate itself to the ManagedConnection passed in as the argument.

  Specified by:
    `reassociateConnection` in interface `com.stc.connector.framework.client.AssociateableHandle`
  Parameters:
    `mc` - The ManagedConnection instance with which the connection handle will associate.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getEwayConnection

    public EjbEwayConnection getEwayConnection()

  Get the ManagedConnection associated with this application connection.

  Returns:
    The ManagedConnection instance associated with this application connection.

### checkIfClosed

    protected boolean checkIfClosed()

  Check whether the Connection instance was already closed (if close was previously called).

  Returns:
    true if already closed, false otherwise.

### sendAlert

    public void sendAlert(java.lang.String msg,
                          int level)

  `sendAlert` Wrapper for the mbean sendAlert method just in case the mbean is not initialized properly/

  Parameters:
    `msg` - the message to be displayed
    `level` - the event level for eMonitor

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Sun Java System Application Server API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD